: Create a QR code

API: qrserver.com:goqr.me-api
Endpoint: /create-qr-code/
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 327ms

Description

Generate a QR code image from text data. Returns a QR code image in the requested format (PNG, SVG, EPS, etc.)

Parameters (10)

bgcolor (string, query, optional, default: 255-255-255)

Color of the background as RGB value. Format: 'R-G-B' (decimal 0-255) or hex without #.

charset-source (string, query, optional, default: UTF-8)

Character set encoding of the input data parameter.

Constraints: {'enum': ['ISO-8859-1', 'UTF-8']}

charset-target (string, query, optional, default: UTF-8)

Character set to encode the data with before storing it in the QR code.

Constraints: {'enum': ['ISO-8859-1', 'UTF-8']}

color (string, query, optional, default: 0-0-0)

Color of the data modules (QR code dots) as RGB value. Format: 'R-G-B' (decimal 0-255) or hex without #.

data (string, query, required)

The text to store within the QR code (URL-encoded). Supports 1 to ~900 characters.

Constraints: {'minLength': 1, 'maxLength': 900}

ecc (string, query, optional, default: L)

Error correction code level. Higher levels provide more redundancy but increase QR code size.

Constraints: {'enum': ['L', 'M', 'Q', 'H']}

format (string, query, optional, default: png)

Output file format for the QR code image.

Constraints: {'enum': ['png', 'gif', 'jpeg', 'jpg', 'svg', 'eps']}

margin (integer, query, optional, default: 1)

Thickness of a margin around the QR code in pixels (0-50).

Constraints: {'minimum': 0, 'maximum': 50}

qzone (integer, query, optional, default: 0)

Thickness of the quiet zone (margin without elements) in modules (0-100). Helps QR code readers locate the code.

Constraints: {'minimum': 0, 'maximum': 100}

size (string, query, optional, default: 200x200)

Dimensions of the QR code in format 'WIDTHxHEIGHT'. Range: 10x10 to 1000x1000 (raster) or up to 1000000x1000000 (vector).

Constraints: {'pattern': '^\\d+x\\d+$'}

Examples (2)

Create a QR code openapi-spec
curl 'https://api.qrserver.com/v1/create-qr-code/?data=HelloWorld&size=200x200&ecc=H&color=255-0-0&bgcolor=ffffff'
import requests

resp = requests.get(
    "https://api.qrserver.com/v1/create-qr-code/",
    params={
        'data': 'HelloWorld',
        'size': '200x200',
        'ecc': 'H',
        'color': '255-0-0',
        'bgcolor': 'ffffff',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("qrserver")
result = api.fetch("create-qr-code/", data="HelloWorld", size="200x200", ecc="H", color="255-0-0", bgcolor="ffffff")

for item in result:
    print(item)
const resp = await fetch("https://api.qrserver.com/v1/create-qr-code/?data=HelloWorld&size=200x200&ecc=H&color=255-0-0&bgcolor=ffffff");
const data = await resp.json();
Create a QR code probe-gate
curl 'https://api.qrserver.com/v1/create-qr-code/?data=HelloWorld&size=200x200&charset-source=UTF-8&charset-target=UTF-8&ecc=H&color=255-0-0&bgcolor=ffffff&margin=1&qzone=0&format=png'
import requests

resp = requests.get(
    "https://api.qrserver.com/v1/create-qr-code/",
    params={
        'data': 'HelloWorld',
        'size': '200x200',
        'charset-source': 'UTF-8',
        'charset-target': 'UTF-8',
        'ecc': 'H',
        'color': '255-0-0',
        'bgcolor': 'ffffff',
        'margin': '1',
        'qzone': '0',
        'format': 'png',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("qrserver")
result = api.fetch("create-qr-code/", data="HelloWorld", size="200x200", charset-source="UTF-8", charset-target="UTF-8", ecc="H", color="255-0-0", bgcolor="ffffff", margin=1, qzone=0, format="png")

for item in result:
    print(item)
const resp = await fetch("https://api.qrserver.com/v1/create-qr-code/?data=HelloWorld&size=200x200&charset-source=UTF-8&charset-target=UTF-8&ecc=H&color=255-0-0&bgcolor=ffffff&margin=1&qzone=0&format=png");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:26:20.025735 200 327ms
2026-04-16 17:19:38.758548 200 313ms
2026-04-16 02:14:21.042719 200 227ms
2026-04-16 02:07:43.512537 200 272ms
2026-04-15 02:03:11.201251 200 214ms
2026-04-15 00:10:55.108037 200 263ms
2026-04-14 00:41:19.407138 200 184ms
2026-04-14 00:33:19.203314 200 206ms
2026-04-12 14:48:33.887631 200 196ms
2026-04-12 14:31:55.367604 200 272ms
2026-04-10 03:10:39.701724 200 216ms
2026-04-10 00:02:10.032928 200 419ms
2026-04-09 03:36:09.627018 200 258ms
2026-04-09 02:49:58.691324 200 258ms
2026-04-03T22:36:21.315500 200 243ms